darcs-2.5.2: a distributed, interactive, smart revision control system

Darcs.Witnesses.Show

# Documentation

data ShowDict a where

Constructors

ShowDictClass :: Show a => ShowDict a |
ShowDictRecord :: (Int -> a -> ShowS) -> (a -> String) -> ([a] -> ShowS) -> ShowDict a |

showD :: ShowDict a -> a -> String

showListD :: ShowDict a -> [a] -> ShowS

showsPrecD :: ShowDict a -> Int -> a -> ShowS

class Show1 a where

Methods

showDict1 :: ShowDict a

Instances

Show2 p => Show1 (Non p) |

class Show2 a where

Methods

showDict2 :: ShowDict a

Instances

Show2 Prim |
Show2 Patch |
Show2 RealPatch |
Show2 a => Show2 (FL a) |
(Show2 a, Show2 b) => Show2 (:\/: a b) |
(Show2 a, Show2 b) => Show2 (:> a b) |

show1 :: Show1 a => a -> String

showsPrec1 :: Show1 a => Int -> a -> ShowS

show2 :: Show2 a => a -> String

showsPrec2 :: Show2 a => Int -> a -> ShowS

showOp2 :: (Show2 a, Show2 b) => Int -> String -> Int -> a -> b -> String -> String

appPrec :: Int